summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-12-14 23:40:18 +0000
committerMike Frysinger <vapier@gentoo.org>2011-12-14 23:40:18 +0000
commitea7e827730f3f81ae3b036aaea0b2cf2428b8c56 (patch)
tree58ad94afb264f8ef10c5fe807b56788502c0a28a /eclass
parentAdd "~amd64", wrt bug #394557 (diff)
downloadgentoo-2-ea7e827730f3f81ae3b036aaea0b2cf2428b8c56.tar.gz
gentoo-2-ea7e827730f3f81ae3b036aaea0b2cf2428b8c56.tar.bz2
gentoo-2-ea7e827730f3f81ae3b036aaea0b2cf2428b8c56.zip
create backing store dirs with group write perms so that people can more easily switch between user based testing (ebuild/etc...) and root/userpriv based emerging
Diffstat (limited to 'eclass')
-rw-r--r--eclass/git-2.eclass4
-rw-r--r--eclass/git.eclass4
-rw-r--r--eclass/subversion.eclass6
3 files changed, 7 insertions, 7 deletions
diff --git a/eclass/git-2.eclass b/eclass/git-2.eclass
index b3d53eddf9df..f1ed79f98b4a 100644
--- a/eclass/git-2.eclass
+++ b/eclass/git-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/git-2.eclass,v 1.26 2011/09/23 14:10:47 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/git-2.eclass,v 1.27 2011/12/14 23:40:18 vapier Exp $
# @ECLASS: git-2.eclass
# @MAINTAINER:
@@ -248,7 +248,7 @@ git-2_prepare_storedir() {
if [[ ! -d ${EGIT_STORE_DIR} ]]; then
debug-print "${FUNCNAME}: Creating git main storage directory"
addwrite /
- mkdir -p "${EGIT_STORE_DIR}" \
+ mkdir -m 775 -p "${EGIT_STORE_DIR}" \
|| die "${FUNCNAME}: can't mkdir \"${EGIT_STORE_DIR}\""
fi
diff --git a/eclass/git.eclass b/eclass/git.eclass
index 5dfd59bb8b48..308870915e80 100644
--- a/eclass/git.eclass
+++ b/eclass/git.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/git.eclass,v 1.57 2011/09/12 12:49:44 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/git.eclass,v 1.58 2011/12/14 23:40:18 vapier Exp $
# @DEPRECATED
# This eclass has been superseded by git-2 eclass.
@@ -237,7 +237,7 @@ git_fetch() {
if [[ ! -d ${EGIT_STORE_DIR} ]] ; then
debug-print "${FUNCNAME}: initial clone. creating git directory"
addwrite /
- mkdir -p "${EGIT_STORE_DIR}" \
+ mkdir -m 775 -p "${EGIT_STORE_DIR}" \
|| die "${EGIT}: can't mkdir ${EGIT_STORE_DIR}."
export SANDBOX_WRITE="${SANDBOX_WRITE%%:/}"
fi
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index ae1e5f6bdab0..e3dea23a9474 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.70 2011/08/22 04:46:32 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.71 2011/12/14 23:40:18 vapier Exp $
# @ECLASS: subversion.eclass
# @MAINTAINER:
@@ -217,7 +217,7 @@ subversion_fetch() {
if [[ ! -d ${ESVN_STORE_DIR} ]]; then
debug-print "${FUNCNAME}: initial checkout. creating subversion directory"
- mkdir -p "${ESVN_STORE_DIR}" || die "${ESVN}: can't mkdir ${ESVN_STORE_DIR}."
+ mkdir -m 775 -p "${ESVN_STORE_DIR}" || die "${ESVN}: can't mkdir ${ESVN_STORE_DIR}."
fi
pushd "${ESVN_STORE_DIR}" > /dev/null || die "${ESVN}: can't chdir to ${ESVN_STORE_DIR}"
@@ -250,7 +250,7 @@ subversion_fetch() {
debug-print "${FUNCNAME}: ${ESVN_FETCH_CMD} ${options} ${repo_uri}"
- mkdir -p "${ESVN_PROJECT}" || die "${ESVN}: can't mkdir ${ESVN_PROJECT}."
+ mkdir -m 775 -p "${ESVN_PROJECT}" || die "${ESVN}: can't mkdir ${ESVN_PROJECT}."
cd "${ESVN_PROJECT}" || die "${ESVN}: can't chdir to ${ESVN_PROJECT}"
if [[ -n "${ESVN_USER}" ]]; then
${ESVN_FETCH_CMD} ${options} --username "${ESVN_USER}" --password "${ESVN_PASSWORD}" "${repo_uri}" || die "${ESVN}: can't fetch to ${wc_path} from ${repo_uri}."